error netbeans 11.3

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

error netbeans 11.3

carlos serrano
Hi, I have a problem I do not know how to resolve, I want to create web proyect whit maven. this is the error:

Downloading: https://repo.maven.apache.org/maven2/org/apache/maven/plugins/maven-archetype-plugin/2.4/maven-archetype-plugin-2.4.pom
------------------------------------------------------------------------
BUILD FAILURE
------------------------------------------------------------------------
Total time: 1.039 s
Finished at: 2020-04-21T20:20:24-06:00
Final Memory: 7M/152M
------------------------------------------------------------------------
Plugin org.apache.maven.plugins:maven-archetype-plugin:2.4 or one of its dependencies could not be resolved: Failed to read artifact descriptor for org.apache.maven.plugins:maven-archetype-plugin:jar:2.4: Could not transfer artifact org.apache.maven.plugins:maven-archetype-plugin:pom:2.4 from/to central (https://repo.maven.apache.org/maven2): Received fatal alert: protocol_version -> [Help 1]

To see the full stack trace of the errors, re-run Maven with the -e switch.
Re-run Maven using the -X switch to enable full debug logging.

For more information about the errors and possible solutions, please read the following articles:
[Help 1] http://cwiki.apache.org/confluence/display/MAVEN/PluginResolutionException

Carlos Serrano
T??cnico en Sistemas de la Computaci??n
Reply | Threaded
Open this post in threaded view
|

Re: error netbeans 11.3

Karl Heinz Marbaise-3
Hi,

On 22.04.20 04:27, carlos serrano wrote:

> Hi, I have a problem I do not know how to resolve, I want to create web proyect whit maven. this is the error:
>
> Downloading: https://repo.maven.apache.org/maven2/org/apache/maven/plugins/maven-archetype-plugin/2.4/maven-archetype-plugin-2.4.pom
> ------------------------------------------------------------------------
> BUILD FAILURE
> ------------------------------------------------------------------------
> Total time: 1.039 s
> Finished at: 2020-04-21T20:20:24-06:00
> Final Memory: 7M/152M
> ------------------------------------------------------------------------
> Plugin org.apache.maven.plugins:maven-archetype-plugin:2.4 or one of its dependencies could not be resolved: Failed to read artifact descriptor for org.apache.maven.plugins:maven-archetype-plugin:jar:2.4: Could not transfer artifact org.apache.maven.plugins:maven-archetype-plugin:pom:2.4 from/to central (https://repo.maven.apache.org/maven2): Received fatal alert: protocol_version -> [Help 1]
>
> To see the full stack trace of the errors, re-run Maven with the -e switch.
> Re-run Maven using the -X switch to enable full debug logging.

Based on the error message my assumption is that you are running on JDK
7...which means you have to configure TLSv1.2 otherwise you can't
download any dependencies...I strongly recomment to use JDK8+

If you have to stuck to JDK7 you have to add to your command line:

-Dhttps.protocols=TLSv1.2

Kind regards
Karl Heinz Marbaise
>
> For more information about the errors and possible solutions, please read the following articles:
> [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/PluginResolutionException
>
> Carlos Serrano
> T??cnico en Sistemas de la Computaci??n
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]